# Generated from multiprotocol_thrift_rack_app-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name multiprotocol_thrift_rack_app

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Multiprotocol Thrift Rack app server
License: MIT
URL: https://gitlab.com/c0va23/multiprotocol_thrift_rack_app
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(reek) >= 5.4
# BuildRequires: rubygem(reek) < 6
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.80.1
# BuildRequires: rubygem(rubocop) < 0.81
# BuildRequires: rubygem(rubocop-performance) >= 1.5.2
# BuildRequires: rubygem(rubocop-performance) < 1.6
# BuildRequires: rubygem(rubocop-rspec) >= 1.38.1
# BuildRequires: rubygem(rubocop-rspec) < 1.39
BuildArch: noarch

%description
Ruby HTTP Thrif server with support muptiple protocols  (JSON, Binary and
etc.).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%{gem_instdir}/.reek.yml
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/BUNDLER_VERSION
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/multiprotocol_thrift_rack_app.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.0-1
- Initial package
